using System;
using System.Collections.Generic;
using System.Text;

namespace InABox.Core
{
    public class DFLayoutHeader : DFLayoutControl
    {
        [TextBoxEditor]
        [EditorSequence(0)]
        public string Header { get; set; } = "";

        [CheckBoxEditor]
        [EditorSequence(1)]
        public bool Collapsed { get; set; } = false;

        protected override string GetDescription()
        {
            return $"Header: {Header}";
        }

        protected override void LoadProperties()
        {
            base.LoadProperties();

            Header = GetProperty("Header", "");
            Collapsed = GetProperty("Collapsed", false);
        }

        protected override void SaveProperties()
        {
            base.SaveProperties();

            SetProperty("Header", Header);
            SetProperty("Collapsed", Collapsed);
        }
    }
}
